package com.zt.plat.module.qms.core.aspect.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import static com.zt.plat.module.qms.core.constant.DataTypeConstant.DICT_ANNOTATION_KEY_TYPE_KEY;


@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface Dict {

    String dicCode();

    String dicText() default "";

    String keyOrID() default DICT_ANNOTATION_KEY_TYPE_KEY;

    String dictTable() default "";
}
